Обновление проекта версии php с 5.2.1 до 7

Я меняю свой проект с версии php с 5.2.1 до 7 (новая версия), но проект находится в версии 1.7.2 codegnitor. Поэтому мне нужно изменить версию php, mysql на mysqli. Должен ли я изменить версию Codegnitor

php,codeigniter,mysqli,

0